#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	ZX Spectrum emulator file format library
Summary(pl.UTF-8):	Biblioteka do obsługi formatów plików emulatorów ZX Spectrum
Name:		libspectrum
Version:	1.0.0
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/fuse-emulator/%{name}-%{version}.tar.gz
# Source0-md5:	f969cbaaa33c8df41bc793479b1c88f2
Patch0:		audiofile-0.3.patch
URL:		http://fuse-emulator.sourceforge.net/libspectrum.php
BuildRequires:	audiofile-devel >= 0.2.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel >= 1.0
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libgcrypt-devel >= 1.1.42
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.7
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libspectrum is a library designed to make the input and output of some
ZX Spectrum emulator files slightly easier. It is intended to be
usable on Unix variants, Win32 and Mac OS X.

%description -l pl.UTF-8
libspectrum jest biblioteką zaprojektowaną, by ułatwić zapis i odczyt
plików wykorzystywanych przez emulatory ZX Spectrum. Można jej używać
na różnych wariantach systemu Unix, Win32 i Mac OS X.

%package devel
Summary:	ZX Spectrum emulator file format library - development
Summary(pl.UTF-8):	Część dla programistów używających biblioteki libspectrum
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	audiofile-devel >= 0.2.3
Requires:	bzip2-devel >= 1.0
Requires:	glib2-devel >= 2.0.0
Requires:	libgcrypt-devel >= 1.1.42
Requires:	zlib-devel

%description devel
The libspectrum-devel package contains the header files and
documentation needed to develop applications with libspectrum.

%description devel -l pl.UTF-8
Pakiet libspectrum-devel zawiera pliki nagłówkowe i dokumentację
potrzebne do kompilowania aplikacji korzystających z libspectrum.

%package static
Summary:	ZX Spectrum emulator file format static library
Summary(pl.UTF-8):	Statyczna biblioteka libspectrum
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
The libspectrum-static package contains the static libraries of
libspectrum.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libspectrum.

%prep
%setup -q
%patch0 -p1

# don't BR both glib versions
echo 'AC_DEFUN([AM_PATH_GLIB],[$3])' >> acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS
%attr(755,root,root) %{_libdir}/libspectrum.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libspectrum.so.8

%files devel
%defattr(644,root,root,755)
%doc doc/libspectrum.txt
%attr(755,root,root) %{_libdir}/libspectrum.so
%{_libdir}/libspectrum.la
%{_includedir}/libspectrum.h
%{_mandir}/man3/libspectrum.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libspectrum.a
%endif
%changelog
* Sun Aug 12 2012 Łukasz Kieś <kiesiu@pld-linux.org> 898501b
- added patch to link with audiofile 0.3.x
- adapterized; rel. 2

* Sun Aug 12 2012 Alberto Garcia <agarcia@igalia.com> 402c305
- link against audiofile 0.3.x
Signed-off-by: Łukasz Kieś <kiesiu@pld-linux.org>

* Fri Dec 17 2010 witekfl <witekfl@pld-linux.org> c0ab437
- 1.0.0

* Sun Mar 01 2009 witekfl <witekfl@pld-linux.org> 65024e4
- up to 0.5.0.1

* Sat Dec 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 1cb93f3
- libgcrypt version

* Fri Dec 05 2008 witekfl <witekfl@pld-linux.org> 8a1321e
- up to 0.5.0

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> b4c740f
- updated to 0.4.0

* Mon Jul 23 2007 witekfl <witekfl@pld-linux.org> 17a9e64
- added missing #

* Sat Jul 21 2007 witekfl <witekfl@pld-linux.org> 58811f6
- added bcond_without static_libs

* Wed May 16 2007 Jakub Bogusz <qboosh@pld-linux.org> 2a60ff2
- updated to 0.3.0.1 (crash fix)

* Wed Apr 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 813e266
- updated to 0.3.0 (new soname)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 566f31a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0fa0fc0
- converted to UTF-8

* Sat Nov 27 2004 saq <saq@pld-linux.org> 617c6f6
- massive attack: more BR epoch fixes

* Sat Jul 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 5f7188e
- updated to 0.2.2

* Sun Feb 15 2004 Jakub Bogusz <qboosh@pld-linux.org> 38fc28d
- updated deps, added -devel deps, avoid glib 1.x BR

* Sun Feb 15 2004 Jakub Bogusz <qboosh@pld-linux.org> 08e9c36
- fixed doc in -devel, strict internal deps

* Sun Feb 15 2004 witekfl <witekfl@pld-linux.org> fcee2a2
- update to ver, 0.2.1
- changed URLs

* Mon Dec 29 2003 undefine <undefine@pld-linux.org> 0d26447
- release 2 to rebuild with ac

* Mon Nov 10 2003 Jakub Bogusz <qboosh@pld-linux.org> f2ca5ba
- BR: libtool

